#!/bin/zsh

subduction_boundaries=andes_test.gmt

# This previously worked on a similar problem
# see http://gmt.soest.hawaii.edu/boards/1/topics/3351
gmt spatial ${subduction_boundaries} -fg -D+d10k+C0.2+p -V2

# Check for duplicate lines or line segments

for distance in {0..600..50}
do

	for factor in {10..1000..50}

	do
		
		sfactor=$(echo $factor | awk '{print $1/100}')

		echo $distance $sfactor

		gmt spatial ${subduction_boundaries} -D -fg

		gmt spatial ${subduction_boundaries} -D+d${distance}k -fg
		gmt spatial ${subduction_boundaries} -D+C${sfactor} -fg
		gmt spatial ${subduction_boundaries} -D+d${distance}k+C${sfactor} -fg

	done

done